Package twisted :: Package internet :: Module tksupport

[show private | hide private]
[frames | no frames]

## Module twisted.internet.tksupport

This module integrates Tkinter with twisted.internet's mainloop.

API Stability: semi-stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

To use, do:

       | tksupport.install(rootWidget)

and then run your reactor as usual - do *not* call Tk's mainloop(), use Twisted's regular mechanism for running the event loop.

Likewise, to stop your program you will need to stop Twisted's event loop. For example, if you want closing your root widget to stop Twisted:

       | root.protocol('WM_DELETE_WINDOW', reactor.stop)

Function Summary
| ``install`(widget, ms, reactor)` Install a Tkinter.Tk() object into the reactor.

Function Details

### install(widget, ms=10, reactor=None)

Install a Tkinter.Tk() object into the reactor.

Generated by Epydoc 1.1 on Sat Feb 15 21:17:53 2003 | http://epydoc.sf.net